# Dotplots
# http://ggplot2.tidyverse.org/reference/geom_dotplot.html
# set up your data and basic plot:
library(ggplot2)
data("ToothGrowth")
ToothGrowth$dose <- as.factor(ToothGrowth$dose)
head(ToothGrowth)
e <- ggplot(ToothGrowth, aes(x = dose, y = len))

# Default plot
e + geom_dotplot(binaxis = "y", stackdir = "center")
e + geom_dotplot(binaxis = "y", stackdir = "up")  # more like "right"
e + geom_dotplot(binaxis = "y", stackdir = "down") # more like "left"
e + geom_dotplot(binaxis = "y", stackdir = "centerwhole")
# Dot plot with mean points (+/- SD)
e + geom_dotplot(binaxis = "y", stackdir = "center") + 
  stat_summary(fun.data="mean_sdl",  fun.args = list(mult=1), 
               geom="pointrange", color = "red")

#  We don't have to look at every plot in detail.  Link below:
# http://www.sthda.com/english/wiki/be-awesome-in-ggplot2-a-practical-guide-to-be-highly-effective-r-software-and-data-visualization#geom_dotplot-dot-plot-1

# same thing for stripcharts.  Check out the website. Similar to others.
# That's the beautiful thing about ggplot grammar.  It really is similar!!
